@tailwind base;
@tailwind components;
@tailwind utilities;

@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';

@import '../styles/variables.scss';
// @import '../components/marquee/marquee.scss';
// @import 'animate.css';

*,
::before,
::after {
  box-sizing: border-box;
}

html,
body {
  font-family: $font-primary;
  font-size: 18px;
  // line-height: 36px;
  background-color: $primary-black;
  color: $primary-white;
  font-weight: 100;
  // background-color: $primary-white;
  //   color: $primary-white;
  //   font-weight: lighter;/
  // padding-top: 5rem; //80px
  // padding-bottom: 5rem; //80px
}

.textGrey {
  color: #bcbcbc;
}
.caseStudyContent {
  // color: #bcbcbc;
  line-height: 36px;
}
.bg-white {
  .caseStudyContent {
    color: $primary-black;
  }
}

body,
h1,
h2,
h3,
p {
  margin: 0;
}
ul {
  margin-left: 16px;
}

//Image
img {
  max-width: 100%;
}

.cardheading {
  font-size: 46px;
  line-height: 50px;
  svg {
    fill: white;
    stroke: white;
  }
}

//Grid containers
.grid-main-container {
  margin-left: auto;
  margin-right: auto;
  max-width: 1196px;
  width: 1196px;
}

.darkBg {
  background-color: $primary-white;
}
.lightBg {
  background-color: $primary-black;
}

.darkBgContainer {
  color: $primary-black;
  background-color: $primary-white;
}
.overlay {
  left: 0;
  right: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.6);
  transition: height 1s;
  z-index: 2;
}
.overlayText {
  // display: none;
  bottom: 10px;
  z-index: 2;
}

.linkBlock {
  width: 34px;
  height: 34px;
  background-color: $primary-white;
  position: absolute;
  z-index: 20;
  right: 0;
  bottom: 0;
}
.linkBlockNoBg {
  width: 34px;
  height: 34px;
  position: absolute;
  z-index: 20;
  right: 0;
  bottom: 0;
}

.letterSpace {
  letter-spacing: 0.2em;
  text-transform: lowercase;
}
.pinkText {
  color: $primary !important;
}
.textShadow {
  text-shadow: 0px 4px 3px rgba(0, 0, 0, 0.4), 0px 8px 13px rgba(0, 0, 0, 0.1),
    0px 18px 23px rgba(0, 0, 0, 0.1);
}
.primaryBg {
  background-color: $primary;
}
.imgMainOverlayAnimation {
  &:hover {
    .overlay {
      &.primaryOverlay {
        background: rgba(180, 130, 143, 0.6);
        height: 100%;
      }
      &.whiteOverlay {
        background: rgba(255, 255, 255, 0);
        height: 100%;
      }
    }
    .linkBlock {
      background-color: $primary;
    }
    &:hover {
      .hoverPink {
        color: $primary !important;
      }
    }
  }
}
.mX0 {
  margin-right: 0px !important;
  margin-left: 0px !important;
}

.widthWrap {
  width: 837px;
  height: 530px;
  margin: 0 auto;
}
.potraitWrap {
  background-image: url('/images/selfBg.jpg');
  background-size: cover;
  width: 100%;
  max-width: 1580px;
  height: 378px;
  margin: 0 auto;
  background-position: center center;
  background-repeat: no-repeat;
}
.introWrap {
  position: relative;
}
.introStyle {
  padding-left: 80px;
}
.blackTag {
  background-color: $primary-white;
  color: $primary-black;
  width: 60px;
  text-transform: uppercase;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  &:hover {
    background-color: $primary;
    color: $primary-white;
  }
  .para {
    width: 8px;
    text-align: center;
    word-break: break-all;
    margin: 30%;
    margin-left: 40%;
  }
  .svgStyleClass {
    fill: $primary-white !important;
  }
}
.nameTag {
  position: absolute;
  height: 220%;
  bottom: 0;
}

.defaultCardtext {
  font-size: 36px;
  width: 66%;
  line-height: 40px;
  padding-bottom: 10px;
}

.defaultSubCardtext {
  font-weight: 700;
  font-size: 16px;
  padding-top: 10px;
}

.mainNav {
  background: $primary-black;
  width: 100%;
  top: 0;
  position: fixed;
  z-index: 9999;
}
.showInMobile {
  display: none;
}

@media only screen and (max-width: 1200px) {
  .grid-main-container {
    max-width: 100%;
    width: 100%;
  }
  .grid-container {
    padding-left: 30px;
    padding-right: 30px;
  }
}

@media only screen and (max-width: 728px) {
  .widthWrap {
    width: 400px;
  }
  .potraitWrap {
    width: 100%;
  }
  .blackTag {
    display: none;
  }
}
@media only screen and (max-width: 480px) {
  .widthWrap {
    width: 300px;
  }
  .introStyle {
    padding-left: 0;
  }
  .showInMobile {
    display: block;
  }
}
// ---------------------------------------- SIZE starts ----------------------------------------
.f46 {
  font-size: 46px;
}
.f32 {
  font-size: 32px; // titles
}
.f52 {
  font-size: 52px; // headings
}
.f42 {
  font-size: 42px;
}
.f28 {
  font-size: 28px !important;
}
.f24 {
  font-size: 24px;
}
.f22 {
  font-size: 22px;
}
.f18 {
  font-size: 18px !important; //body
}
.f16 {
  font-size: 16px !important;
}
.f14 {
  font-size: 14px;
}
.f12 {
  font-size: 12px;
}
.f6 {
  font-size: 6rem !important;
}
.pt80 {
  padding-top: 80px;
}
.p20 {
  padding: 20px;
}
.p40 {
  padding: 40px;
}
.p60 {
  padding: 60px;
}
.p80 {
  padding: 80px;
}
.pt20 {
  padding-top: 20px;
}
.pt30 {
  padding-top: 30px;
}
.pb20 {
  padding-bottom: 20px;
}
.pb30 {
  padding-bottom: 30px;
}
.pb40 {
  padding-bottom: 40px;
}
.pt40 {
  padding-top: 40px;
}
.pl40 {
  padding-left: 40px;
}
.pt26 {
  padding-top: 26px;
}
.pt60 {
  padding-top: 60px;
}
.pb10 {
  padding-bottom: 10px;
}
.pb40 {
  padding-bottom: 40px;
}
.pb60 {
  // padding-bottom: 60px;
  padding-bottom: 100px;
}
.mt80 {
  margin-top: 80px;
}
.mt60 {
  margin-top: 60px;
}
.mt40 {
  margin-top: 40px;
}
.mt30 {
  margin-top: 30px;
}
.mt10 {
  margin-top: 10px;
}
.-mb40 {
  margin-bottom: -40px;
}
.mb20 {
  margin-bottom: 20px;
}
.mb10 {
  margin-bottom: 10px;
}
.mb60 {
  margin-bottom: 60px;
}
// add your breakpoints and dimensions
@media only screen and (max-width: 1020px) {
  //tab-view
  .f28 {
    font-size: 20px !important;
  }
  .f22 {
    font-size: 16px;
  }
  .f32 {
    font-size: 22px;
  }
  .f42 {
    font-size: 32px;
  }
  .f52 {
    font-size: 32px; //headings
  }
}
@media only screen and (max-width: 768px) {
  .potraitWrap {
    height: 188px;
  }
  .defaultCardtext {
    font-size: 34px;
  }
  .homeMain {
    padding-bottom: 60px !important;
  }
  .cardheading {
    font-size: 32px;
  }
  .pt80 {
    padding-top: 40px;
  }
  .pb60 {
    padding-bottom: 30px;
  }
  .pt60 {
    padding-top: 30px;
  }
  .pt40 {
    padding-top: 20px;
  }
  .mb60 {
    margin-bottom: 30px;
  }
  .mt60 {
    margin-top: 30px;
  }
  .mt30 {
    margin-top: 16px;
  }
  .pb40 {
    padding-bottom: 20px;
  }
  .f46 {
    font-size: 36px;
  }
  .f22 {
    font-size: 16px;
  }
  .pl40 {
    padding-left: 0px;
  }
}
// ---------------------------------------- SIZE ends ----------------------------------------
.primaryUnderlineLinks {
  color: $primary-white;
  text-decoration: underline;
  &.whiteLink {
    color: $primary-black;
  }
  &:hover {
    color: $primary;
    text-decoration: underline;
    text-decoration-thickness: 0px;
  }
}

.textPrimary {
  color: $primary;
}
.pinkOnHover {
  &:hover {
    color: $primary;
  }
}
.borderPrimary {
  border: 1px solid $primary;
}
.expCompany {
  color: $primary-white;
  font-weight: 600;
  line-height: 36px;
  width: 80%;
}
.expDuration {
  // color: #bcbcbc;
  line-height: 36px;
  width: 80%;
}
.fontMontserrat {
  font-family: 'Montserrat', sans-serif;
}
.projectPageIntro {
  // height: 540px;
  width: 80%;
  padding-top: 80px;
  padding-bottom: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
}
.bgGreen {
  background-color: #cde4de;
}
// ANIMATIONS
.bgHoverAnimation {
  transition: background 0.3s ease-in-out;
  -moz-transition: background 0.3s ease-in-out;
  -webkit-transition: background 0.3s ease-in-out;
}
.bgHoverAnimation:hover {
  transition: background 0.3s ease-in-out;
  -moz-transition: background 0.3s ease-in-out;
  -webkit-transition: background 0.3s ease-in-out;
}
.colorHoverAnimation {
  transition: color 0.3s ease-in-out;
  -moz-transition: color 0.3s ease-in-out;
  -webkit-transition: color 0.3s ease-in-out;
}
.colorHoverAnimation:hover {
  transition: color 0.3s ease-in-out;
  -moz-transition: color 0.3s ease-in-out;
  -webkit-transition: color 0.3s ease-in-out;
}
.fillHoverAnimation {
  transition: fill 0.3s ease-in-out;
  -moz-transition: fill 0.3s ease-in-out;
  -webkit-transition: fill 0.3s ease-in-out;
}
.fillHoverAnimation:hover {
  transition: fill 0.3s ease-in-out;
  -moz-transition: fill 0.3s ease-in-out;
  -webkit-transition: fill 0.3s ease-in-out;
}
.strokeHoverAnimation {
  transition: stroke 0.3s ease-in-out;
  -moz-transition: stroke 0.3s ease-in-out;
  -webkit-transition: stroke 0.3s ease-in-out;
}
.strokeHoverAnimation:hover {
  transition: stroke 0.3s ease-in-out;
  -moz-transition: stroke 0.3s ease-in-out;
  -webkit-transition: stroke 0.3s ease-in-out;
}
.hiddenScrollAnimation {
  opacity: 0;
  transition-delay: 250ms;
  // transform: translateY(-20%);
  transition: linear 1s;
}
.showScrollAnimation {
  opacity: 1;
  // transform: translateY(0);
}
.hiddenHeadingAnimation {
  transform: translateY(-20%);
}
.showHeadingAnimation {
  transform: translateY(0);
}
html {
  scroll-behavior: smooth !important;
}
